Bug 442708 - /etc/init.d/nginx does not use /etc/sysconfig/nginx to determine nginx.conf
/etc/init.d/nginx does not use /etc/sysconfig/nginx to determine nginx.conf
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nginx (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Hinegardner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 08:01 EDT by David Dick
Modified: 2008-05-21 07:10 EDT (History)
0 users

See Also:
Fixed In Version: 0.6.31-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 07:07:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix /etc/init.d/nginx (480 bytes, patch)
2008-04-16 08:01 EDT, David Dick
no flags Details | Diff

  None (edit)
Description David Dick 2008-04-16 08:01:30 EDT
Description of problem:


Version-Release number of selected component (if applicable): 8


How reproducible:


Steps to Reproduce:
1. install nginx
2. examine /etc/init.d/nginx for how to change nginx.conf
  
Actual results:

cannot be done

Expected results:

should be possible, like in lighttpd and httpd packagess

Additional info:
Comment 1 David Dick 2008-04-16 08:01:30 EDT
Created attachment 302586 [details]
Patch to fix /etc/init.d/nginx
Comment 2 Jeremy Hinegardner 2008-04-16 11:19:53 EDT
Thanks David, I have a couple of other fixes to the init script to bring it
inline with the fedora init script guidelines, I'll incorporate your patch.
Comment 3 Fedora Update System 2008-05-12 02:10:32 EDT
nginx-0.6.30-1.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-05-13 00:54:50 EDT
nginx-0.6.31-1.fc9 has been submitted as an update for Fedora 9
Comment 5 Fedora Update System 2008-05-13 00:55:43 EDT
nginx-0.6.31-1.fc8 has been submitted as an update for Fedora 8
Comment 6 Bug Zapper 2008-05-14 05:31:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora Update System 2008-05-14 17:33:14 EDT
nginx-0.6.31-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nginx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-3877
Comment 8 Fedora Update System 2008-05-21 07:06:58 EDT
nginx-0.6.31-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-05-21 07:10:07 EDT
nginx-0.6.31-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.